- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::IPresetHandler Interface Reference

List of all members.

## Detailed Description

Allows for responding to preset handling requests.

Deprecated:
  Soon to be removed, remains for historical reasons

Date:
  11/09/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  IPresetHandler.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 33 of file IPresetHandler.hpp.

## Public Member Functions

- virtual void getPresetExtensionFilter (CString &theExtensionFilter, CString &theExtensionDescription)=0
- IPresetHandler ()
- virtual bool loadPreset (const CSystemString &presetPath)=0
- virtual bool savePreset (const CSystemString &presetPath)=0
- virtual bool validatePreset (const CSystemString &filename)=0
- virtual bool validatePreset (const CSystemString &path, CPresetIO &presetIO)=0
- virtual ~IPresetHandler ()

## Constructor & Destructor Documentation

Exponent::GUI::Controls::IPresetHandler::IPresetHandler | ( |  | ) | `[inline]`

Construction

Definition at line 45 of file IPresetHandler.hpp.

virtual Exponent::GUI::Controls::IPresetHandler::~IPresetHandler | ( |  | ) | `[inline, virtual]`

Destruction

Definition at line 50 of file IPresetHandler.hpp.

## Member Function Documentation

virtual void Exponent::GUI::Controls::IPresetHandler::getPresetExtensionFilter | ( | CString & | theExtensionFilter,
|  | CString & | theExtensionDescription |
| ) |  |  | `[pure virtual]`

Get the preset extension

Parameters:

  | theExtensionFilter | Should be filled on return with the extension (eg - '*.txt')
  | theExtensionDescription | Should be filled on return with a description of the file (eg - 'Text documents')

virtual bool Exponent::GUI::Controls::IPresetHandler::loadPreset | ( | const CSystemString & | presetPath | ) | `[pure virtual]`

Load a preset

Parameters:

  | presetPath |

Return values:

  | bool | True if you loaded the preset properly, false otherwise

virtual bool Exponent::GUI::Controls::IPresetHandler::savePreset | ( | const CSystemString & | presetPath | ) | `[pure virtual]`

Save a preset

Parameters:

  | presetPath | The path to save to

Return values:

  | bool | True if you saved the preset properly, false otherwise

virtual bool Exponent::GUI::Controls::IPresetHandler::validatePreset | ( | const CSystemString & | filename | ) | `[pure virtual]`

Validate a preset -> Confirum that it meets you specifications

Parameters:

  | filename | The name of the file to validate

Return values:

  | bool | True if it meets your specifications, false otherwise

virtual bool Exponent::GUI::Controls::IPresetHandler::validatePreset | ( | const CSystemString & | path,
|  | CPresetIO & | presetIO |
| ) |  |  | `[pure virtual]`

Validate a preset -> Confirm that it meets the specifications YOU require

Parameters:

  | path | The path to the file to validate
  | presetIO | The presetIO to use to interogate the file

Return values:

  | bool | True if it meets the specifications YOU require, false otherwise